Volumes - List
Returns a list of all storage volumes at a location.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/scaleUnits/{scaleUnit}/storageSubSystems/{storageSubSystem}/volumes?api-version=2019-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/scaleUnits/{scaleUnit}/storageSubSystems/{storageSubSystem}/volumes?api-version=2019-05-01&$filter={$filter}&$top={$top}&$skip={$skip}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
Location of the resource. |
|
resource
|
path | True |
string |
Name of the resource group. |
|
scale
|
path | True |
string |
Name of the scale units. |
|
storage
|
path | True |
string |
Name of the storage system. |
|
subscription
|
path | True |
string |
Subscription credentials that uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
Client API Version. |
|
$filter
|
query |
string |
OData filter parameter. |
|
|
$skip
|
query |
string |
OData skip parameter. |
|
|
$top
|
query |
string |
OData top parameter. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| 404 Not Found |
NOT FOUND |
Security
azure_auth
Authorization uses an Azure Active Directory OAuth2 flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Returns a list of all storage volumes at a location.
Sample request
GET https://management.azure.com/subscriptions/72526b2b-4b61-4700-8f0c-7bb7ae9b6a2d/resourceGroups/System.redmond/providers/Microsoft.Fabric.Admin/fabricLocations/redmond/scaleUnits/s-cluster/storageSubSystems/s-cluster.v.masd.stbtest.microsoft.com/volumes?api-version=2019-05-01
Sample response
{
"value": [
{
"id": "/subscriptions/72526b2b-4b61-4700-8f0c-7bb7ae9b6a2d/resourceGroups/System.redmond/providers/Microsoft.Fabric.Admin/fabricLocations/redmond/scaleUnits/s-cluster/storageSubSystems/s-cluster.v.masd.stbtest.microsoft.com/volumes/48f356d4-362d-49cb-a021-fafffbe0e8ad",
"name": "redmond/s-cluster/s-cluster.v.masd.stbtest.microsoft.com/48f356d4-362d-49cb-a021-fafffbe0e8ad",
"type": "Microsoft.Fabric.Admin/fabricLocations/scaleUnits/storageSubSystems/volumes",
"location": "redmond",
"tags": {},
"properties": {
"totalCapacityGB": 1375,
"remainingCapacityGB": 1317,
"healthStatus": "Healthy",
"operationalStatus": "OK",
"repairStatus": "",
"description": "",
"action": "",
"volumeLabel": "ObjStore_1"
}
}
]
}
Definitions
| Name | Description |
|---|---|
| Volume |
Representation of a volume resource. |
|
Volume |
Pageable list of storage volumes. |
Volume
Representation of a volume resource.
| Name | Type | Description |
|---|---|---|
| id |
string |
URI of the resource. |
| location |
string |
The region where the resource is located. |
| name |
string |
Name of the resource. |
| properties.action |
string |
Detailed recommended action for HealthStatus/OperationalStatus. Empty if HealthStatus/OperationalStatus is Healthy/Ok. |
| properties.description |
string |
Detailed description for HealthStatus/OperationalStatus. Empty if HealthStatus/OperationalStatus is Healthy/Ok. |
| properties.healthStatus |
string |
Health status of the volume. |
| properties.operationalStatus |
string |
Operational status of the volume. |
| properties.remainingCapacityGB |
integer (int32) |
Remaining capacity in GB of the volume. |
| properties.repairStatus |
string |
Repair status of the volume. Empty if no repair job running, something like 'Running, 90%' when repairing. |
| properties.totalCapacityGB |
integer (int32) |
Total capacity in GB of the volume. |
| properties.volumeLabel |
string |
Volume label. |
| tags |
object |
List of key-value pairs. |
| type |
string |
Type of resource. |
VolumeList
Pageable list of storage volumes.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
URI to the next page. |
| value |
Volume[] |
List of storage volumes. |